Autor Tópico: dpkg: erro: não foi possível criar o novo ficheiro '/var/lib  (Lida 323 vezes)

Offline Edvaldo23

  • Usuário Ubuntu
  • *
  • Mensagens: 3
    • Ver perfil
dpkg: erro: não foi possível criar o novo ficheiro '/var/lib
« Online: 16 de Dezembro de 2021, 11:53 »
// Fala pessoal alguém pode me dar um help neste erro???

edvaldo@lima23:~$ sudo apt-get upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os pacotes a seguir serão mantidos em suas versões atuais:
  linux-generic-hwe-20.04 linux-headers-generic-hwe-20.04 linux-image-generic-hwe-20.04
Os pacotes a seguir serão atualizados:
  busybox-initramfs busybox-static firefox firefox-dev firefox-locale-af firefox-locale-an firefox-locale-ar firefox-locale-as
  firefox-locale-ast firefox-locale-az firefox-locale-be firefox-locale-bg firefox-locale-bn firefox-locale-br firefox-locale-bs
  firefox-locale-ca firefox-locale-cak firefox-locale-xh firefox-locale-zh-hans firefox-locale-zh-hant firefox-locale-zu
  gnome-shell-extension-desktop-icons google-chrome-stable libfprint-2-2 libfprint-2-tod1 libmm-glib0 libnetplan0
  libpulse-mainloop-glib0 libpulse0 libpulsedsp libpython3.8 libpython3.8-minimal libpython3.8-stdlib libseccomp2 libsmbclient
  libssl-dev libssl1.1 libwbclient0 linux-firmware modemmanager netplan.io openssl pulseaudio pulseaudio-module-bluetooth
  pulseaudio-utils python3.8 python3.8-minimal samba-libs ubuntu-advantage-tools update-notifier update-notifier-common
  xserver-common xserver-xephyr xserver-xorg-core xserver-xorg-legacy xwayland
56 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 3 não atualizados.
1 pacotes não totalmente instalados ou removidos.
35 standard security updates
É preciso baixar 0 B/287 MB de arquivos.
Depois desta operação, 982 kB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
Extraindo templates dos pacotes: 100%
Pré-configurando pacotes ...
setting xserver-xorg-legacy/xwrapper/allowed_users from configuration file
dpkg: erro: não foi possível criar o novo ficheiro '/var/lib/dpkg/info/format-new': Arquivo ou diretório inexistente
E: Sub-process /usr/bin/dpkg returned an error code (2)

Offline creto

  • Usuário BigLinux
  • Usuário Ubuntu
  • *
  • Mensagens: 688
  • Vivemos esperando dias melhores
    • Ver perfil
    • Blog do Creto
Re:dpkg: erro: não foi possível criar o novo ficheiro '/var/lib
« Resposta #1 Online: 20 de Dezembro de 2021, 18:38 »
Olá,

Para que eu não tente reinventar a roda te mostro esse link que é bem antigo no fórum mas que me salvou em 2010 e ainda salvara muitos outros usuários

>>>> Usuário da Equipe Ubuntu -PT - Platao | Apostilas Dicas e Guias do Ubuntu <<<<

Mas irei te adiantar aqui, tenta assim:

Código: [Selecionar]
sudo apt -f install
Depois

Código: [Selecionar]
sudo dpkg --configure -a
E rode novamente o apt update para ver se os erros persistem

Espero que também lhe seja útil como foi a mim.

T+
« Última modificação: 20 de Dezembro de 2021, 18:46 por creto »
A vida, é feito andar de bicicleta, se parar, você cai! (Gabriel Contino)
Blog do Paulo Corrêa Creto